Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.math.model
Class DefaultParserContext

public class DefaultParserContext
implements ParserContext

Field Summary
`final static String` | `ABS`
`final static String` | `ACOS`
`final static String` | `AND`
`final static String` | `ARCCOSH`
`final static String` | `ARCCOT`
`final static String` | `ARCCOTH`
`final static String` | `ARCCSCH`
`final static String` | `ARCSCS`
`final static String` | `ARCSEC`
`final static String` | `ARCSECH`
`final static String` | `ARCSINH`
`final static String` | `ARCTANH`
`final static String` | `ASIN`
`final static String` | `ASSIGNMENT`
`final static String` | `ATAN`
`final static String` | `CEIL`
`final static String` | `CONST_E`
`final static String` | `CONST_FALSE`
`final static String` | `CONST_PI`
`final static String` | `CONST_TRUE`
`final static String` | `COS`
`final static String` | `COSH`
`final static String` | `COT`
`final static String` | `COTH`
`final static String` | `CSC`
`final static String` | `CSCH`
`final static String` | `DIFF`
`final static String` | `DIVIDE`
`final static String` | `EQ`
`final static String` | `EXP`
`final static String` | `FACTORIAL`
`final static String` | `FLOOR`
`final static String` | `GEQ`
`final static String` | `GT`
`final static String` | `LEQ`
`final static String` | `LN`
`final static String` | `LOG`
`final static String` | `LT`
`final static String` | `MINUS`
`final static String` | `NEQ`
`final static String` | `NOT`
`final static String` | `OR` Declares standard operators:
`final static String` | `PLUS`
`final static String` | `POWER`
`final static String` | `ROOT`
`final static String` | `SEC`
`final static String` | `SECH`
`final static String` | `SIN`
`final static String` | `SINH`
`final static String` | `TAN`
`final static String` | `TANH`
`final static String` | `TIMES`
`final static String` | `UMINUS`
`final static String` | `XOR`

Constructor Summary
`DefaultParserContext()`

Method Summary
`boolean` | `containsConstant(String name)`
`boolean` | `containsVariable(String name)`
`void` | `declareConstant(String name, Object value)`
`void` | `declareFunction(Function function)`
`void` | `declareFunctionNameSubstitution(String name, String replaceBy)`
`static void` | `declareStandardConstants(ParserContext context)` Declares standard constants: true, false, pi, ...
`static void` | `declareStandardOperators(ParserContext context)`
`void` | `declareVariable(String name, Object value)`
`Object` | `getConstantValue(String name)`
`Function` | `getFunction(String name)`
`ParserContext` | `getParentContext()`
`Object` | `getVariableValue(String name)`
`void` | `setParentContext(ParserContext parent)`

Field Detail

### ABS

    public final static String ABS

### ACOS

    public final static String ACOS

### AND

    public final static String AND

### ARCCOSH

    public final static String ARCCOSH

### ARCCOT

    public final static String ARCCOT

### ARCCOTH

    public final static String ARCCOTH

### ARCCSCH

    public final static String ARCCSCH

### ARCSCS

    public final static String ARCSCS

### ARCSEC

    public final static String ARCSEC

### ARCSECH

    public final static String ARCSECH

### ARCSINH

    public final static String ARCSINH

### ARCTANH

    public final static String ARCTANH

### ASIN

    public final static String ASIN

### ASSIGNMENT

    public final static String ASSIGNMENT

### ATAN

    public final static String ATAN

### CEIL

    public final static String CEIL

### CONST_E

    public final static String CONST_E

### CONST_FALSE

    public final static String CONST_FALSE

### CONST_PI

    public final static String CONST_PI

### CONST_TRUE

    public final static String CONST_TRUE

### COS

    public final static String COS

### COSH

    public final static String COSH

### COT

    public final static String COT

### COTH

    public final static String COTH

### CSC

    public final static String CSC

### CSCH

    public final static String CSCH

### DIFF

    public final static String DIFF

### DIVIDE

    public final static String DIVIDE

### EQ

    public final static String EQ

### EXP

    public final static String EXP

### FACTORIAL

    public final static String FACTORIAL

### FLOOR

    public final static String FLOOR

### GEQ

    public final static String GEQ

### GT

    public final static String GT

### LEQ

    public final static String LEQ

### LN

    public final static String LN

### LOG

    public final static String LOG

### LT

    public final static String LT

### MINUS

    public final static String MINUS

### NEQ

    public final static String NEQ

### NOT

    public final static String NOT

### OR

    public final static String OR

  Declares standard operators:
  todo implement properly, declare operator names as constants

### PLUS

    public final static String PLUS

### POWER

    public final static String POWER

### ROOT

    public final static String ROOT

### SEC

    public final static String SEC

### SECH

    public final static String SECH

### SIN

    public final static String SIN

### SINH

    public final static String SINH

### TAN

    public final static String TAN

### TANH

    public final static String TANH

### TIMES

    public final static String TIMES

### UMINUS

    public final static String UMINUS

### XOR

    public final static String XOR

Constructor Detail

### DefaultParserContext

    public DefaultParserContext()

Method Detail

### containsConstant

    public boolean containsConstant(String name)

### containsVariable

    public boolean containsVariable(String name)

### declareConstant

    public void declareConstant(String name, Object value)

### declareFunction

    public void declareFunction(Function function)

### declareFunctionNameSubstitution

    public void declareFunctionNameSubstitution(String name, String replaceBy)

### declareStandardConstants

    public static void declareStandardConstants(ParserContext context)

  Declares standard constants: true, false, pi, ...
  todo implement properly

### declareStandardOperators

    public static void declareStandardOperators(ParserContext context)

### declareVariable

    public void declareVariable(String name, Object value)

### getConstantValue

    public Object getConstantValue(String name)

### getFunction

    public Function getFunction(String name)

### getParentContext

    public ParserContext getParentContext()

### getVariableValue

    public Object getVariableValue(String name)

### setParentContext

    public void setParentContext(ParserContext parent)

Association Links

to Class ru.biosoft.math.model.ParserContext

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.util.HashMap

to Class java.util.HashMap

to Class java.util.HashMap

to Class java.util.HashMap

to Class java.lang.String

  Declares standard operators:

  todo implement properly, declare operator names as constants

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM